> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Async Presentation Generation Status

> Check the status of a presentation being generated asynchronously.
Use /api/v1/ppt/presentation/status/task-xxxxxxxxxx to get the status of presentation.

Create an API Key from your account to access this endpoint.
Authorization: Bearer sk-presenton-xxxxxxxx



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/ppt/presentation/status/{id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.presenton.ai
security: []
paths:
  /api/v1/ppt/presentation/status/{id}:
    get:
      tags:
        - Presentation
      summary: Check Async Presentation Generation Status
      description: >-
        Check the status of a presentation being generated asynchronously.

        Use /api/v1/ppt/presentation/status/task-xxxxxxxxxx to get the status of
        presentation.


        Create an API Key from your account to access this endpoint.

        Authorization: Bearer sk-presenton-xxxxxxxx
      operationId: >-
        check_async_presentation_generation_status_api_v1_ppt_presentation_status__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: ID of the presentation generation task
            title: Id
          description: ID of the presentation generation task
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            description: The bearer token to authenticate with
            title: Authorization
          description: The bearer token to authenticate with
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AsyncTaskModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AsyncTaskModel:
      properties:
        id:
          type: string
          title: Id
        status:
          $ref: '#/components/schemas/AsyncTaskStatus'
          default: pending
        message:
          type: string
          title: Message
        data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Data
        error:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Error
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - message
        - created_at
        - updated_at
      title: AsyncTaskModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AsyncTaskStatus:
      type: string
      enum:
        - pending
        - completed
        - error
      title: AsyncTaskStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````